Ruby: pm_alias_method_node Struct Reference

Ruby 3.4.6p54 (2025-09-16 revision dbd83256b1cec76c69756ecb8758b9e1079833de)

Data Fields
pm_alias_method_node Struct Reference

AliasMethodNode. More...

`#include <ast.h>`

## Data Fields
pm_node_t | base
| The embedded base node.
struct pm_node * | new_name
| AliasMethodNode#new_name.
struct pm_node * | old_name
| AliasMethodNode#old_name.
pm_location_t | keyword_loc
| AliasMethodNode#keyword_loc.
Data Fields inherited from pm_node
pm_node_type_t | type
| This represents the type of the node.
pm_node_flags_t | flags
| This represents any flags on the node.
uint32_t | node_id
| The unique identifier for this node, which is deterministic based on the source.
pm_location_t | location
| This is the location of the node in the source.

## Detailed Description

AliasMethodNode.

Represents the use of the alias keyword to alias a method.

    alias foo bar
    ^^^^^^^^^^^^^

Type: ::PM_ALIAS_METHOD_NODE

Definition at line 1154 of file ast.h.

## Field Documentation

## ◆ base

pm_node_t pm_alias_method_node::base

The embedded base node.

Definition at line 1156 of file ast.h.

Referenced by pm_dump_json().

## ◆ keyword_loc

pm_location_t pm_alias_method_node::keyword_loc

AliasMethodNode#keyword_loc.

Represents the location of the alias keyword.

    alias foo bar
    ^^^^^

Definition at line 1199 of file ast.h.

Referenced by pm_dump_json().

## ◆ new_name

struct pm_node* pm_alias_method_node::new_name

AliasMethodNode#new_name.

Represents the new name of the method that will be aliased.

    alias foo bar
          ^^^

    alias :foo :bar
          ^^^^

    alias :"#{foo}" :"#{bar}"
          ^^^^^^^^^

Definition at line 1173 of file ast.h.

Referenced by pm_dump_json(), pm_node_destroy(), and pm_visit_child_nodes().

## ◆ old_name

struct pm_node* pm_alias_method_node::old_name

AliasMethodNode#old_name.

Represents the old name of the method that will be aliased.

    alias foo bar
              ^^^

    alias :foo :bar
               ^^^^

    alias :"#{foo}" :"#{bar}"
                    ^^^^^^^^^

Definition at line 1189 of file ast.h.

Referenced by pm_dump_json(), pm_node_destroy(), and pm_visit_child_nodes().

The documentation for this struct was generated from the following file:

- prism/ast.h